import BasicPage from "../../../components/basic-page";
import PBlock from "../../../components/project-block";

// An object listing pages folks can visit
export async function getStaticProps() {
  const fs = require("fs");
  const yaml = require("js-yaml");
  let PRIVATE = {};

  try {
    let fileContent = fs.readFileSync("./data/private.yml", "utf8");
    PRIVATE = yaml.load(fileContent);
  } catch (e) {
    console.log(e);
  }
  return {
    props: {
      PRIVATE,
    },
  };
}

export default function Services({ PRIVATE }) {
  return (
    <BasicPage page_title="Private Services" card_title="Some stuff I host for myself!">
      <div className="rounded-lg ring-2 ring-werefox-grey dark:ring-werefox-grey-darker bg-werefox-grey-light dark:bg-werefox-grey">
        <PBlock title="Private Services" cards={PRIVATE} />
      </div>
    </BasicPage>
  );
}
